/****************************************************************
 * ItalkServer.h : Italk-Server status class
 *
 * (c) 1997 Yutaka Oiwa.
 *
 * $Id: ItalkServer.h,v 1.2 1997/12/28 13:28:04 yutaka Exp $
 ****************************************************************/

#ifndef _ITALK_SERVER_H
#define _ITALK_SERVER_H

#include "Defines.h"
#include "Monkey.h"

const int MAX_MONKEY = 30;

typedef void (*ItalkServer_callback_t)(int, void *);
class ItalkServer 
{
private:
  // Monkey DATA
  char *name;
  int port;
  char *message;

  Monkey *monkeys[2][MAX_MONKEY];
  int n_monkeys[2];
  int add_to;

  ItalkServer_callback_t callback;
  void *app_data;

public:
  ItalkServer(const char *name_, int port_,
	      ItalkServer_callback_t callback_, void *app_data_);
  void AddMessage(const char *p);
  void DeleteMessage();
  const char *GetMessage() const{return message;}
  void AddMonkey(Monkey *p);
  void DataFinished();
  const Monkey *const * GetMonkeys() const;

  const char *Get_Name() const {return name;}
};
#endif
